import request from '@/utils/request'

// 处理计划-设备信息
export function formatEquItem(data) {
  return request({
    url: '/device/plan/formatEquItem',
    method: 'post',
    data: data
  });
}

// 获取设备信息list
export function getEquList(equQuery) {
  return request({
    url: '/device/plan/getEquList',
    method: 'get',
    params: equQuery
  });
}

// 查询计划列表
export function listPlan(query) {
	return request({
		url: '/device/plan/list',
		method: 'get',
		params: query
	});
}

// 查询计划详细
export function getPlan(planId) {
	return request({
		url: '/device/plan/' + planId,
		method: 'get'
		});
}

// 新增计划
export function addPlan(data) {
	return request({
		url: '/device/plan',
		method: 'post',
		data: data
	});
}

// 修改计划
export function updatePlan(data) {
	return request({
		url: '/device/plan',
		method: 'put',
		data: data
	});
}

// 删除计划
export function delPlan(planId) {
	return request({
		url: '/device/plan/' + planId,
		method: 'delete'
	});
}
